# example:
#     path: '/example/{example_slug}'
#     protocol: 'get'
#     method: 'match'
#     class: 'Api\Controllers\Example'
#     method: 'example'
#     middlewares:
#         before:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleBefore'
#         after:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleAfter'
#         finish:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleFinish'
#     values:
#         example_slug: 'example-value'
#     asserts:
#         example_slug: '[a-z_-]+'

# Index
index_index:
    path: '/'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'index'

# Users
users_login:
    path: '/users/login'
    protocol: 'match'
    class: 'Api\Controllers\Users'
    method: 'login'

users_logout:
    path: '/users/logout'
    protocol: 'match'
    class: 'Api\Controllers\Users'
    method: 'logout'

# Portal
portalIndex_index:
    path: '/portal'
    protocol: 'match'
    class: 'Api\Controllers\Portal\Index'
    method: 'index'

# Benchmark
benchmarkIndex_index:
    path: '/benchmark'
    protocol: 'match'
    class: 'Api\Controllers\Benchmark\Index'
    method: 'index'

benchmarkIndex_analysis:
    path: '/benchmark/analysis'
    protocol: 'match'
    class: 'Api\Controllers\Benchmark\Index'
    method: 'analysis'

# Benchmark update
benchmarkUpdate_index:
    path: '/benchmark/update'
    protocol: 'match'
    class: 'Api\Controllers\Benchmark\Update'
    method: 'index'

# Benchmark subscriptions
benchmarkSubscriptions_save:
    path: '/benchmark/subscriptions/save'
    protocol: 'match'
    class: 'Api\Controllers\Benchmark\Subscriptions'
    method: 'save'

# benchmarkUpdate_micro:
#     path: '/update/micro'
#     protocol: 'match'
#     class: 'Api\Controllers\Benchmark\Update'
#     method: 'micro'
